hpp-constraints: hpp::constraints::PointCom Class Reference

hpp-constraints 9.0.2 Definition of basic geometric constraints for motion planning

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Attributes | List of all members
hpp::constraints::PointCom Class Reference
Symbolic calculus

Basic expression representing a COM. More...

`#include <hpp/constraints/symbolic-calculus.hh>`

Inheritance diagram for hpp::constraints::PointCom:
[legend]
Collaboration diagram for hpp::constraints::PointCom:
[legend]

## Public Types
typedef CalculusBase< PointCom, vector3_t, ComJacobian_t > | Parent_t
Public Types inherited from hpp::constraints::CalculusBaseAbstract< ValueType, JacobianType >
typedef ValueType | ValueType_t
typedef JacobianType | JacobianType_t

## Public Member Functions
| PointCom ()
| PointCom (const Parent_t &other)
| PointCom (const CenterOfMassComputationPtr_t &comc)
const vector3_t & | value () const
const ComJacobian_t & | jacobian () const
const CenterOfMassComputationPtr_t & | centerOfMassComputation () const
void | impl_value (const ConfigurationIn_t)
void | impl_jacobian (const ConfigurationIn_t)
Public Member Functions inherited from hpp::constraints::CalculusBase< PointCom, vector3_t, ComJacobian_t >
| CalculusBase ()
| CalculusBase (const vector3_t &value, const ComJacobian_t &jacobian)
| CalculusBase (const CalculusBase &o)
void | computeValue (const ConfigurationIn_t arg)
void | computeJacobian (const ConfigurationIn_t arg)
void | invalidate ()
const CrossMatrix & | cross () const
void | computeCrossValue (const ConfigurationIn_t arg)

## Protected Attributes
CenterOfMassComputationPtr_t | comc_
Protected Attributes inherited from hpp::constraints::CalculusBase< PointCom, vector3_t, ComJacobian_t >
vector3_t | value_
ComJacobian_t | jacobian_
CrossMatrix | cross_
bool | vValid_
bool | jValid_
bool | cValid_

## Additional Inherited Members
Protected Member Functions inherited from hpp::constraints::CalculusBase< PointCom, vector3_t, ComJacobian_t >
void | init (const typename Traits< PointCom >::Ptr_t &ptr)

## Detailed Description

Basic expression representing a COM.

## Member Typedef Documentation

## ◆ Parent_t

typedef CalculusBase<PointCom, vector3_t, ComJacobian_t> hpp::constraints::PointCom::Parent_t

## Constructor & Destructor Documentation

## ◆ PointCom() [1/3]

hpp::constraints::PointCom::PointCom | ( |  | ) |
| inline

## ◆ PointCom() [2/3]

hpp::constraints::PointCom::PointCom | ( | const Parent_t & | other | ) |
| inline

## ◆ PointCom() [3/3]

hpp::constraints::PointCom::PointCom | ( | const CenterOfMassComputationPtr_t & | comc | ) |
| inline

## Member Function Documentation

## ◆ centerOfMassComputation()

const CenterOfMassComputationPtr_t & hpp::constraints::PointCom::centerOfMassComputation | ( |  | ) | const
| inline

## ◆ impl_jacobian()

void hpp::constraints::PointCom::impl_jacobian | ( | const ConfigurationIn_t |  | ) |
| inline

## ◆ impl_value()

void hpp::constraints::PointCom::impl_value | ( | const ConfigurationIn_t |  | ) |
| inline

## ◆ jacobian()

const ComJacobian_t & hpp::constraints::PointCom::jacobian | ( |  | ) | const
| inline virtual

Reimplemented from hpp::constraints::CalculusBase< PointCom, vector3_t, ComJacobian_t >.

## ◆ value()

const vector3_t & hpp::constraints::PointCom::value | ( |  | ) | const
| inline virtual

Reimplemented from hpp::constraints::CalculusBase< PointCom, vector3_t, ComJacobian_t >.

## Member Data Documentation

## ◆ comc_

CenterOfMassComputationPtr_t hpp::constraints::PointCom::comc_
| protected

The documentation for this class was generated from the following file:

- include/hpp/constraints/symbolic-calculus.hh